Bug 451081 - [APIC] ide dvd writer does not work without noapic
[APIC] ide dvd writer does not work without noapic
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-12 14:00 EDT by Jeroen Beerstra
Modified: 2010-06-28 06:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg log (91.51 KB, text/plain)
2008-06-12 14:00 EDT, Jeroen Beerstra
no flags Details
Dump all the APIC and PIC state (4.12 KB, patch)
2008-07-14 17:27 EDT, Maciej W. Rozycki
no flags Details | Diff
new patch backported to 2.6.25 (4.66 KB, text/plain)
2008-07-20 23:02 EDT, Chuck Ebbert
no flags Details
dmesg with apic debug (98.89 KB, text/plain)
2008-07-27 08:41 EDT, Jeroen Beerstra
no flags Details

  None (edit)
Description Jeroen Beerstra 2008-06-12 14:00:53 EDT
Description of problem:

My Ide writer does not work on Fedora 9 x86_64. Initially it does but pretty
soon errors start filling up /var/log/messages and the drive becomes either
inaccessible when media is already present or useless when there is no media
present. I'm pretty sure the drive is functioning correctly since I used it to
install Fedora 9 and have no problems with it under Windows on the same system.

Version-Release number of selected component (if applicable):

Linux morphius.lokaal.net 2.6.25.4-30.fc9.x86_64 #1 SMP Wed May 21 17:34:18 EDT
2008 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:


Steps to Reproduce:
1. Boot Fedora
2. Error messages related to the ide writer start filling up /var/log/messages
3. The drive doesn't work any more
  
Actual results:

The drive doesn work.

Expected results:

The ide writer should just work.

Additional info:

Please let me know if I should file this bug upstream.

One thing I should mention though is that it did work once when I had a dvd+r
already present during boot, that is the media was perfectly accessible and
there were no errors then.

System is a Nforce 780I SLI MB with an Q9450 Intel Core2Quad CPU and 4Gig Ram.
Comment 1 Jeroen Beerstra 2008-06-12 14:00:53 EDT
Created attachment 309113 [details]
Dmesg log
Comment 2 Jeroen Beerstra 2008-06-19 11:46:05 EDT
Any thoughts on this one? I can live with the fact that I don't have a second
dvd writer, but basicly everything that tries to use it, including
hald-addon-storage, hangs with status D :(
Comment 3 Jeroen Beerstra 2008-06-29 04:52:43 EDT
booting with noapic seems to fix this, that is however just a workaround not a
real fix...
Comment 4 Alan Cox 2008-07-11 12:05:10 EDT
We see a lot of reports on Nvidia  particularly at the moment where "noapic"
fixes disk problems. It doesn't appear to be an ATA problem but an IRQ routing
or APIC one.
Comment 5 Jeroen Beerstra 2008-07-11 17:34:29 EDT
Any ideas about a real fix if any, perhaps something I could do?
Comment 6 Maciej W. Rozycki 2008-07-13 10:54:39 EDT
Hi Jeroen,

 It has been brought to my attention that you are having this
problem.

 Can you change your configuration and/or rebuild the kernel,
so that the old-style IDE driver is used with your writer?
This would rule out (or not) a bug in the PATA driver used,
perhaps specific to the host adapter used.

 Also there is something strange in the ACPI tables reported
in your log about the IRQ used -- would you be able to build
a patched kernel which would report the full internal state
of all the interrupt controller components?

 Please note I am not associated with Fedora in any way, but
I have some upstream experience with the APIC and its
surroundings, so I do hope if I sent a patch which would not
exactly fit your kernel, then someone else watching this bug
would make the necessary adjustments.

  Maciej
Comment 7 Jeroen Beerstra 2008-07-14 15:07:53 EDT
hi Maciej,

Sure, one big but though .... I'm having big (non related) hardware problems at
the moment, so I'll need some time for new components to arrive and to start
over from scratch :(

About the patched kernel, do you mean some generic patch or a patch you would
provide me with? I guess 2.6.26 would be the perfect candidate to start testing
with. If you (or somebody else) could make a patch that eliminates this problem
upstream, I'm sure RedHat/Fedora could fix it with their specific kernel also.
This way the most people would benefit from a fix.

Jeroen  
Comment 8 Maciej W. Rozycki 2008-07-14 17:27:21 EDT
Created attachment 311779 [details]
Dump all the APIC and PIC state

Hi Jeroen,

 Here is the patch I was referring to.	It was created a brief while ago
while debugging some other APIC problems an as such is against a snapshot
of 2.6.26-rc1.	It applies to released 2.6.26 cleanly though, so your
proposal to focus on that version is actually the most convenient to me.

 Good luck with sorting out your hardware problems and once you are done
with that, please try the patch in the normal APIC mode, that is without
"noapic" and post the resulting bootstrap log.	You do not have to add
any specific options to activate this extra code.  Please note, that this
change is not meant to fix anything and the only result will be flooding
the log with insane amounts of information.

 The long-term plan, which I am currently working on, is to make all that
information available with the "apic=debug" kernel option, so that it can
be retrieved from a standard kernel.  There have been lots of problems
in this area, mainly because of firmware vendors getting some bits not
exactly right and I think this will make working with people on sorting
out such issues much easier.  However, I may not be ready on time for
this to be included into 2.6.27, so the realistic conservative aim is for
2.6.28.

 Your issue is different though, as your piece of hardware is not handled
correctly and as such the problem qualifies as a bug.  Therefore chances
are if it has been fixed by 2.6.27, it will be included in that release
even at the last moment.

  Maciej
Comment 9 Chuck Ebbert 2008-07-20 15:46:46 EDT
(In reply to comment #8)
> Created an attachment (id=311779) [edit]
> Dump all the APIC and PIC state
> 

I'd like to put this in a Fedora kernel but it looks like it always dumps a
bunch of debug output to the console. If I take out the code that forces
apic_verbosity to APIC_DEBUG and instead ask users to set that themselves will
it be quiet in normal usage?
Comment 10 Maciej W. Rozycki 2008-07-20 17:36:24 EDT
Chuck,

 I suggest you take a patch I'll propose for inclusion upstream
instead that I shall post shortly.  I'll cc you on submission.

  Maciej
Comment 11 Chuck Ebbert 2008-07-20 23:02:17 EDT
Created attachment 312226 [details]
new patch backported to 2.6.25

I removed all the changes to function declarations since they weren't really
necessary and they were causing some patch failures. (It was easier to remove
them than fix them up.)
Comment 12 Chuck Ebbert 2008-07-21 01:47:16 EDT
Needs this additional patch:

--- linux-2.6.25.noarch.orig/arch/x86/kernel/io_apic_64.c 
+++ linux-2.6.25.noarch/arch/x86/kernel/io_apic_64.c 
@@ -46,6 +46,7 @@ 
 #include <asm/mach_apic.h> 
 #include <asm/acpi.h> 
 #include <asm/dma.h> 
+#include <asm/i8259.h> 
 #include <asm/nmi.h> 
 #include <asm/msidef.h> 
 #include <asm/hypertransport.h> 
Comment 13 Chuck Ebbert 2008-07-21 14:39:58 EDT
2.6.25.11-97.fc9 has been submitted to updates-testing and should appear in that
repository shortly.

It is also available here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=56895
Comment 14 Jeroen Beerstra 2008-07-26 11:22:24 EDT
Chuck, what is the kernel parameter for apic debug statements?
Comment 15 Jeroen Beerstra 2008-07-27 08:41:06 EDT
Created attachment 312727 [details]
dmesg with apic debug
Comment 16 Jeroen Beerstra 2008-07-27 08:45:42 EDT
Maciej,

If compiled a vanilla 2.6.26 with your patch applied, config is from
2.6.25.11-97.fc9 with make oldconfig. Please tell me if I still need to compile
with old style IDE driver enabled.

Jeroen  
Comment 17 Jeroen Beerstra 2008-08-13 15:15:45 EDT
Maciej,

Any comments on this one?
Comment 18 Bug Zapper 2009-06-09 21:34:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Jeroen Beerstra 2009-06-12 18:44:26 EDT
bump, still having this problem with 2.6.29 on F11
Comment 20 Bug Zapper 2010-04-27 08:06:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-06-28 06:39:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.